package com.ltgk.common.core.domain.dto;

import java.util.HashMap;
import java.util.List;

/**
 * 下拉级联选择的对象
 *
 * @author Qi ChengBin
 * @date 2025-01-09
 */
public class SelectNode<T> extends HashMap<String, Object> {
    public SelectNode(String value, Object label) {
        this.put("value", value);
        this.put("label", label);
    }

    public void setDisabled(Boolean disabled) {
        this.put("disabled", disabled);
    }

    public void setChildren(List<SelectNode<T>> children) {
        this.put("children", children);
    }
}
